Bug 10090 - Google Earth rendering trouble with Unichrome IGP
Google Earth rendering trouble with Unichrome IGP
Status: RESOLVED FIXED
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/Unichrome
6.5
x86 (IA32) Linux (All)
: medium normal
Assigned To: Default DRI bug account
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-25 11:47 UTC by Andrey Melentyev
Modified: 2012-11-12 13:10 UTC (History)
3 users (show)

See Also:
i915 platform:
i915 features:


Attachments
Google Earth fullscreen screenshot without buttom part of the image (806.02 KB, image/png)
2007-02-25 11:48 UTC, Andrey Melentyev
Details
Google Earth in windowed mode. We can see only one half of image. (166.46 KB, image/png)
2007-02-25 11:52 UTC, Andrey Melentyev
Details
fix hardware clipping (675 bytes, text/plain)
2007-02-26 21:32 UTC, Miguel Marte
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Melentyev 2007-02-25 11:47:23 UTC
When I start Google Earth 4.0.2723 I see Qt interface widgets with a black rectangle where earth image must be. After switching to Full Screen (F11) I can see almost full earth picture without its buttom part. Than, when I switch back to windowed mode, I can see a half of earth's picture. Screenshots can make a better sense of this problem.

I'm using Gentoo Linux with latest packages, xorg-server-1.2.0, Mesa-6.5.2, openchrome-svn X11 driver. 

Contact me for any additional info.
Comment 1 Andrey Melentyev 2007-02-25 11:48:44 UTC
Created attachment 8844 [details]
Google Earth fullscreen screenshot without buttom part of the image
Comment 2 Andrey Melentyev 2007-02-25 11:52:03 UTC
Created attachment 8845 [details]
Google Earth in windowed mode. We can see only one half of image.
Comment 3 Miguel Marte 2007-02-25 20:27:35 UTC
LOL how did you get google earth to run?
Well check my new patch on the other issue, the viewport one, i posted a new patch that should fix a lot of issues, maybe this one too.
Comment 4 Andrey Melentyev 2007-02-25 23:44:56 UTC
(In reply to comment #3)
> LOL how did you get google earth to run?
> Well check my new patch on the other issue, the viewport one, i posted a new
> patch that should fix a lot of issues, maybe this one too.
> 
I'm already using your patch :)

Google Earth works from the box. Fullscreen is even useful sometimes.
Comment 5 Miguel Marte 2007-02-26 21:32:06 UTC
Created attachment 8867 [details]
fix hardware clipping

I have a patch for you to test :)  this depends on the other fix for the viewport, but you should already have that one.  Have fun with google earth, i know i am.
Comment 6 Andrey Melentyev 2007-02-27 00:06:04 UTC
(In reply to comment #5)
> Created an attachment (id=8867) [details]
> fix hardware clipping
> 
> I have a patch for you to test :)  this depends on the other fix for the
> viewport, but you should already have that one.  Have fun with google earth, i
> know i am.
> 
Works like a charm!

Miguel, are you commiting patches to mesa-git tree? I'm interested if current mesa-git includes your fixes.

Comment 7 Benno Schulenberg 2007-03-02 15:06:27 UTC
In bzflag the patch in comment #5 makes the world continue outside of the radar box. This is not correct, as far as i know.
Comment 8 Miguel Marte 2007-03-02 17:50:40 UTC
There is a patch in the other bug that should fix that.  The problem was that drawXoff was still affecting the backbuffer.  http://bugs.freedesktop.org/show_bug.cgi?id=9965  that should fix that problem and the problem Xavier reported about the preview of opengl screensaver in xscreensaver.
Comment 9 Miguel Marte 2007-03-02 21:58:21 UTC
Comment on attachment 8867 [details]
fix hardware clipping

yup wrong fix.  Looking at the code again the way it was was fine.
Comment 10 Miguel Marte 2007-03-03 20:30:47 UTC
OK to more accurately describe the bug, it seems that the hardware clipping is being applied to the screen coardinates and not the buffer, but this only happens for google earth because bzflag is fine.  What is probably going on is this.  Google earth calls clipping before it draws anything, so the clipping is applied to screen origin.  The fix from what i can see is going to be pretty hefty.  Basically rework the way the buffers are filled and read and make the origin the  same as the screen origin.  I think this should wait for when porting the driver to use the new memory manager.
Comment 11 Andrey Melentyev 2007-10-31 11:37:33 UTC
With current Mesa from Git the stability of 3D driver is a little bit better. Thanks for the latest commits.

But this bug is still there with some visible changes. Here's fullscreen snapshot from Google Earth: http://img135.imageshack.us/img135/7694/90199024fo3.png
And here's the one from windowed mode: http://img69.imageshack.us/img69/5551/50485021jn1.png

The problem with black screen at startup is still there too. When I just start GE, black rectangle is displayed on the place where the Earth picture must be. I have to switch to fullscreen mode multiple times before I get any real picture.
Comment 12 James Simmons 2012-11-12 13:10:22 UTC
Openchrome is no longer supported by Mesa